Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596718 - remove rpmdb from RHEV-H image
remove rpmdb from RHEV-H image
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Alan Pevec
Virtualization Bugs
:
Depends On:
Blocks: 596721
  Show dependency treegraph
 
Reported: 2010-05-27 07:28 EDT by Alan Pevec
Modified: 2010-11-11 09:52 EST (History)
4 users (show)

See Also:
Fixed In Version: ovirt-node-1.9.3-2.git0b599e2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 596721 (view as bug list)
Environment:
Last Closed: 2010-11-11 09:52:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2010-05-27 07:28:16 EDT
Description of problem:
rpm tool and its database should be removed from RHEV-H to decrease the image size.
/var/lib/rpm is taking >10MB and it's useless except for debugging and during development.

NVRs of installed package are available in the manifest generated during the build and stored in isolinux/manifest-{s,}rpm.txt
Comment 2 RHEL Product and Program Management 2010-05-27 17:16:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Vivian Bian 2010-08-23 01:05:50 EDT
checked with rhev-hypervisor-6.0-12

steps:
1.boot into firstboot menu -> support menu -> shell 
2.grep rpmdb /live/isolinux/manifest-{s,}rpm.txt
3.rpm -qa
  error: cannot open Packages database in /var/lib/rpm
  error: cannot open Packages database in /var/lib/rpm

actual result:
there is no rpmdb available in rhevh , rpmdb is removed from RHEVH image . 

set bug status to VERIFIED
Comment 7 releng-rhel@redhat.com 2010-11-11 09:52:38 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.